Page MenuHomePhabricator

[Bug] can't re-enter Talk overlay after adding a discussion
Closed, ResolvedPublic

Description

Description

If you open a talk overlay, add a discussion, then close the talk overlay, the #/talk remains in the URL. If you then try to open the talk overlay (on the same page) it doesn't open.

Steps:

  1. Visit https://en.m.wikipedia.org/wiki/User:AHollender_(WMF)
  2. Tap Talk
  3. Tap Add discussion
  4. Add a subject and message
  5. Tap Publish
  6. Tap X
  7. Tap Talk

Expected result: the talk modal opens
Actual result: the talk modal doesn't open

Environments observed

  • Production
  • iPhone/Safari, Android/Chrome, Mac/Chrome

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2019, 8:38 PM

@ovasileva not sure if this is our domain or not. I noticed we were doing a few fixes to the Talk overlay (perhaps because it will be more visible with AMC?) so thought you'd want to know about this.

alexhollender updated the task description. (Show Details)Aug 6 2019, 8:45 PM
Jdlrobson added a comment.EditedAug 7 2019, 1:07 AM

Sigh. @alexhollender @ovasileva this is definitely our domain. This problem keeps recurring. At this point given all the back and fro we've had with this code, I highly recommend T214647 (which is likely to be XL T-shirt size) is worked on ASAP. This continues to be the biggest pain point for our team and other teams working with our code.

In the mean time, we can reload the entire page after adding a talk topic to avoid this issue (which is not the best experience but at least it doesn't lead to this broken state)

Change 528608 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Reload page after adding a talk topic

https://gerrit.wikimedia.org/r/528608

ovasileva triaged this task as Medium priority.Aug 7 2019, 3:21 PM

We might want to just convert the talk overlay into a page first - if we're deploying the article/discussion tabs to all logged-in users, it doesn't really make sense to have the overlay at all

I talked to Olga during our 1-on-1 and the mocks Alex has outlined suggest that we may need to continue with an overlay approach (however it wouldn't look like an overlay). Suggested fix for this particular issue is on https://reading-web-staging.wmflabs.org/wiki/Spain# while we work out the feature.

Change 528608 abandoned by Jdlrobson:
Reload page after adding a talk topic

Reason:
Chatted to Alex. We don't want this kind of behaviour. We want the existing behaviour so a fix in the overlay manager will be necessary.

https://gerrit.wikimedia.org/r/528608

Change 528927 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Go back before replacing current overlay

https://gerrit.wikimedia.org/r/528927

Jdlrobson removed alexhollender as the assignee of this task.Aug 8 2019, 3:17 PM

Change 528927 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Go back before replacing current overlay

https://gerrit.wikimedia.org/r/528927

Niedzielski added a subscriber: Edtadros.